.treeview {
  overflow-x: auto;
}

.treeview:after {
  content: "";
  clear: both;
  height: 0;
  display: block;
}

.pch-treeview__element--container {
  margin: 0;
  padding: 10px 0 0;
  list-style: none;
}

.pch-treeview__element--container:after {
  content: "";
  clear: both;
  height: 0;
  display: block;
}

.treeview > .pch-treeview__element--container:first-child {
  padding-top: 0;
}

.pch-treeview__element--container .pch-treeview__element--container {
  padding-left: 20px;
}

.treeview__container-title {
  position: relative;
  white-space: nowrap;
  max-width: 100%;
  padding: 0 5px 0 28px;
  border-radius: 3px;
  line-height: 28px;
  font-size: 0;
}

.treeview__container-title span {
  font-size: 13px;
}

.treeview__container-title:focus {
  outline: none;
}

.treeview__container-title > i {
  cursor: pointer;
}

.treeview__container-title > i:before {
  position: absolute;
  left: 5px;
  top: 4px;
  content: "\e060";
  font: 14px 'Glyphicons Regular';
  color: #36c;
  cursor: pointer;
}

.treeview__container-title--halflings-icon > i:before {
  content: "\e118";
  font: 14px 'Glyphicons Halflings';
}

/* IE adds P to contenteditable */
.treeview__container-title p {
  display: inline;
  margin: 0;
}

.treeview__element--active > .treeview__container-title {
  background-color: #36c;
  color: #fff;
}

.treeview__element--active > .treeview__container-title > i:before {
  color: #fff;
  background: none;
}

.treeview__element--collapsed > .treeview__container-title--halflings-icon > i:before {
  content: "\e117";
}

.pch-treeview__element--container.treeview__element--highlight > .treeview__container-title,
.pch-treeview__element--container.treeview__element--highlight {
  background: lightcyan;
  color: #36c;
  border-radius: 3px;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, .3), inset 0 0 1px rgba(0, 0, 0, .5);
}

.pch-treeview__element--container.treeview__element--highlight > .treeview__container-title > i:before {
  color: #36c;
}

.pch-treeview__element--container.treeview__element--collapsed .pch-treeview__element--container,
.pch-treeview__element--container.treeview__element--collapsed .pch-treeview__element--leaf {
  display: none;
}

.pch-treeview__element--leaf {
  position: relative;
  max-width: 100%;
  padding: 2px 5px 2px 28px;
  list-style: none;
  white-space: nowrap;
  font-size: 0;
}

.pch-treeview__element--leaf span {
  font-size: 13px;
}

.treeview > .pch-treeview__element--leaf:first-child {
  margin-top: 0;
}

.pch-treeview__element--container .pch-treeview__element--leaf {
  display: block;
  padding-left: 50px;
  margin-top: 10px;
  padding-top: 4px;
}

.pch-treeview__element--container .pch-treeview__element--leaf:before {
  left: 25px;
}

.pch-treeview__element--leaf a {
  cursor: pointer;
}

.pch-treeview__element--leaf a:hover {
  text-decoration: none;
}

.pch-treeview__element--leaf:before {
  position: absolute;
  left: 2px;
  top: 3px;
  content: "\e022";
  font: 14px 'Glyphicons Halflings';
  color: darkorange;
}

.pch-treeview__element--container,
.pch-treeview__element--leaf {
  cursor: default;
}

.treeview--expandable {
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.treeview--expandable .pch-treeview__element--container:before,
.treeview--expandable .pch-treeview__element--container:after {
  cursor: pointer;
}

.treeview__placeholder {
  display: none;
  position: fixed;
  left: 0;
  top: 0;
  margin: -100px 0 0 -42px;
  min-width: 85px;
  padding: 5px;
  background: lightcyan;
  border-radius: 3px;
  border: 1px solid rgba(0, 0, 0, .5);
  box-shadow: 2px 2px 4px rgba(0, 0, 0, .3);
  opacity: .6;
}

.treeview__placeholder:before {
  font: 60px 'Glyphicons Halflings';
}

.treeview__placeholder--file {
  color: darkorange;
  text-align: center;
}

.treeview__placeholder--file:before {
  content: "\e022";
}

.treeview__placeholder--folder {
  color: #36c;
}

.treeview__placeholder--folder:before {
  content: "\e118";
}

.treeview__placeholder-title {
  position: absolute;
  left: 100%;
  top: 100%;
  margin: 10px 0 0 -15px;
  color: #000;
  font-size: 16px;
  white-space: nowrap;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.treeview__placeholder-title:before {
  content: "\e092";
  font: 16px 'Glyphicons Halflings';
  margin-right: 5px;
}

.treeview__col {
  display: inline-block;
  vertical-align: middle;
  overflow: hidden;
  -ms-text-overflow: ellipsis;
  text-overflow: ellipsis;
  white-space: nowrap;
  text-decoration: none;
  word-wrap: normal;
  width: 130px;
  margin-right: 20px;
}

.treeview__col:last-child {
  width: auto;
  margin-right: 0;
  padding-right: 15px;
}

/*
.pch-treeview__element--ellipsis {
  overflow: hidden;
  height: 24px;
}

.treeview__container-title.pch-treeview__element--ellipsis {
  height: 28px;
  line-height: 33px;
}

.pch-treeview__element--ellipsis i:after {
  content: "\f196";
  position: absolute;
  top: 7px;
  right: 9px;
  font: 14px/1 FontAwesome;
  color: #333;
  cursor: pointer;
  text-shadow: 0 1px 0 #fff;
}

.pch-treeview__element--ellipsis.treeview__element--highlight i:after {
  background: lightcyan;
  background: linear-gradient(to right, transparent, lightcyan 50%);
}

div[data-ellipsis]:not(.pch-treeview__element--ellipsis) {
  background-color: #fafafa;
}

div[data-ellipsis]:not(.pch-treeview__element--ellipsis) i:after {
  content: "\f147";
  position: absolute;
  top: 7px;
  right: 9px;
  font: 14px/1 FontAwesome;
  color: #333;
  text-shadow: 0 1px 0 #fff;
  cursor: pointer;
}
*/
